# CICADA

### File

`src/app/_models/settings.ts`

### Index

###### Properties

- engine
- provider

### Properties

engine
Type : `any`
Defined in src/app/_models/settings.ts:16

provider
Type : `any`
Defined in src/app/_models/settings.ts:17

    class Settings {
      w3: W3 = {
        engine: undefined,
        provider: undefined,
      };
      scanFilter: any;
      registry: any;
      txHelper: any;

      constructor(scanFilter: any) {
        this.scanFilter = scanFilter;
      }
    }

    class W3 {
      engine: any;
      provider: any;
    }

    export { Settings, W3 };

# result-matching ""

# No results matching ""